# $Revision: 1.5.2.3 $, $Date: 2005/04/21 10:54:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
Summary:	Digest - Perl modules that calculate message digests
Summary(pl):	Digest - moduy do obliczania skrtw komunikatw
Name:		perl-Digest
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	3346c9f3cad3519bd39a044d1900d4ab
BuildRequires:	perl-devel >= 1:5.6.0
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a simple frontend module for autoloading of various
Digest:: modules.  It also provide documentation of the interface
that all Digest:: modules should provide.

%description -l pl
Ten modu jest prostym frontendem do automatycznego wczytywania
rnych moduw Digest::. Zawiera take dokumentacj do interfejsu
oglnego dla wszystkich moduw Digest::.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Digest.pm
%{perl_sitelib}/Digest/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest.spec,v $
Revision 1.5.2.3  2005/04/21 10:54:49  hawk
- merged version 1.10 from HEAD
- release 1 for Ra

Revision 1.5.2.2  2003/07/11 12:02:44  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.5.2.1  2003/03/13 00:57:06  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:31:56  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/05 16:18:12  ankry
- autoupdated to 1.02

Revision 1.2  2003/01/07 14:53:22  mis
- autoupdated to 1.01

Revision 1.1  2002/07/21 21:51:13  qboosh
- new

